import 'package:mwf_app/service/api.dart';
import 'package:mwf_app/service/url.dart';

class Msgfirst {
  String id;
  String nFName;

  Msgfirst({this.id, this.nFName});

  static getData() async {
    final response = await AppApi.apiGetRequest(AppUrl.MsgIndexFirst_ReadList +
        "?authenKey=" +
        AppUrl.AuthenKey); // เรียกใช้ api
    data.clear(); // เคลียข้อมูลเดิมออกก่อน
    return response;
  }

  static List<Msgfirst> data = []; // ตัวแปรที่จะเรียกใช้งาน

  Msgfirst.fromJson(Map<String, dynamic> json) {
    id = json['Id'];
    nFName = json['NF_Name'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Id'] = this.id;
    data['NF_Name'] = this.nFName;
    return data;
  }
}
